Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 123)
@@ -1516,132 +812,20 @@
             }
             finally
             {
-                dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter += DataGridView_CellEnter;
-                dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
-            }
-        }
-
-        /// <summary>
-        /// 現場登録ダイアログクローズ通知
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void NotifyAddFld_FormClosed(object sender, FormClosedEventArgs e)
-        {
-            try
-            {
-                dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter -= DataGridView_CellEnter;
-                dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
-                var f = (FrmSelectRegField)sender;
-                if (f.EndButton != DialogResult.OK)
-                    return;
-                var headerIndex = DetectHeaderIndex(dgvMaster.CurrentRow.Index);
-                var depositOrderer = FindDepositOrderer(dgvMaster.CurrentRow.Index);
-                foreach (var item in f.m_lstMyField)
+                dgvMaster.ResumeLayout();
+                if (dgvMaster.Rows.Count > 0)
                 {
-                    if (item.ConstructionName == "不明" && item.ConstructionName_Raw == "")
-                        continue;
-                    // 担当データのみを対象とする
-                    if (item.PersonCode != CommonMotions.LoginUserData.PersonCode)
-                        continue;
-                    var depositDetail = depositOrderer.DepositDetails.Find(d =>
-                        d.ConstructionName == item.ConstructionName && d.ConstructionNameRow == item.ConstructionName_Raw
-                    );
-                    // 追加・更新
-                    if (!item.DeleteFlg)
-                    {
-                        // 追加
-                        if (depositDetail == null)
-                        {
-                            depositDetail = new DepositDetail()
-                            {
-                                Added = true,
-                                Visible = true,
-                                SeqNo = 1,
-                                LineCount = depositOrderer.GetNextLineCount(),
-                                RequestNo = item.RequestNo,
-                                OrderNo = item.OrderNo,
-                                ConstructionName = item.ConstructionName,
-                                ConstructionNameRow = item.ConstructionName_Raw,
-                                DepartmentCode = item.DepartmentCode,
-                                BillCreationDate = item.BillCreationDate,
-                                BillPrice = item.BillPrice,
-                                TaxPrice = item.TaxPrice,
-                                DepositAmount = item.DepositAmount,
-                                ApprovalPersonCode = item.PersonCode,
-                                ApprovalPersonName = CommonMotions.LoginUserData.SealPrintName,
-                                ApprovalDate = "",
-                            };
-                            var defaultApproves = new List<ApproveData>();
-                            if (!SelectDefaultApprove(depositDetail.DepartmentCode, ref defaultApproves))
-                                return;
-                            foreach (var approve in defaultApproves)
-                            {
-                                var da = new DepositApproval()
-                                {
-                                    Added = true,
-                                    ApprovalPersonName = approve.Value,
-                                    ApprovalPerson = approve.Key,
-                                    ApprovalDate = "",
-                                    ApprovalNo = approve.Order,
-                                };
-                                depositDetail.DepositApprovals.Add(da);
-                            }
-                            depositOrderer.DepositDetails.Add(depositDetail);
-                        }
-                        // 更新
-                        else
-                        {
-                            depositDetail.BillPrice = item.BillPrice;
-                            depositDetail.TaxPrice = item.TaxPrice;
-                            depositDetail.DepositAmount = item.DepositAmount;
-                        }
-                    }
-                    // 削除
-                    else
-                    {
-                        if (depositDetail != null)
-                        {
-                            if (depositDetail.Added)
-                            {
-                                // 未存在のデータは削除
-                                depositOrderer.DepositDetails.Remove(depositDetail);
-                            }
-                            else
-                            {
-                                // 存在するデータは削除フラグを立てる
-                                depositDetail.Deleted = true;
-                            }
-                        }
-                    }
+                    dgvMaster.FirstDisplayedScrollingRowIndex = 0;
+                    dgvMaster.FirstDisplayedScrollingColumnIndex = 1;
+                    dgvMaster.CurrentCell = dgvMaster[1, 0];
                 }
-                UpdateDepositOrdererRows(depositOrderer, headerIndex);
-                isDirty = true;
             }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
-                dgvMaster.CellEnter += DataGridView_CellEnter;
-                dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
-            }
         }
+        #endregion
 
+        #region 入金請求先一覧作成
+        #region 入金請求先一覧作成
         /// <summary>
-        /// 対象月コンボボックスを表示時点の設定月に戻す。
-        /// </summary>
-        private void ResetTargetDate()
-        {
-            var selectedDate = m_Select_TargetDate.ToString().Insert(4, "/");
-            numericUpDown2.Value = CommonMotions.cnvInt(selectedDate);
-        }
-
-        /// <summary>
         /// 入金請求先一覧を取得する。
         /// </summary>
         /// <returns></returns>
